defmodule CoreUtils.Types do
        @type amqp_return_type(t) ::
                {:ok, t}
                | {:error, integer}

        @type ecto_transaction ::
                {:ok, any}
                | {:error, any}
                | {:error, atom, any, %{optional(atom) => any}}

        @type ecto_save ::
                {:ok, Ecto.Schema.t()}
                | {:error, Ecto.Changeset.t()}

        @type result(t, e) ::
                {:ok, t}
                | {:error, e}
      end
