defmodule CoreUtils.Mixfile do
  use Mix.Project

  def project do
    [
      app: :core_utils,
      version: "0.2.1",
      elixir: "~> 1.6.5",
      build_embedded: Mix.env() == :prod,
      start_permanent: Mix.env() == :prod,
      description: description(),
      package: package(),
      deps: deps(),
      name: "core_utils",
      source_url: "https://github.com/username/packagename",
      deps: deps()
    ]
  end

  def description do
    "Extends funcionality for core_services module"
  end

  def package do
    [
      name: "core_utils",
      files: ["lib", "mix.exs", "README*"],
      maintainers: ["Jorge Madrid", "Michel Perez"],
      licenses: ["GPL 3.0"],
      links: %{"GitHub" => "https://github.com/Liftitapp/core_utils"}
    ]
  end

  def application do
    [extra_applications: [:logger]]
  end

  defp deps do
    [
      {:ex_doc, "~> 0.18.0", only: :dev},
      {:poison, "~> 3.1.0"},
      {:sentry, "~> 6.4.2"},
      {:ecto, "~> 2.2"},
      {:geo, "~> 3.0"},
      {:geo_postgis, "~> 2.1"},
      {:new_relixir, "~> 0.4"}
    ]
  end
end
